{%- set neutron_test_router = 'NeutronTestRouter' %}

neutronv2_router_create:
  module.run:
    - name: neutronv2.router_create
    - kwargs:
        cloud_name: admin_identity
        name: {{ neutron_test_router }}
        admin_state_up: True

neutronv2_router_list:
  module.run:
    - name: neutronv2.router_list
    - kwargs:
        cloud_name: admin_identity

neutronv2_router_get_details:
  module.run:
    - name: neutronv2.router_get_details
    - args:
      - {{ neutron_test_router }}
    - kwargs:
        cloud_name: admin_identity

neutronv2_router_update:
  module.run:
    - name: neutronv2.router_update
    - args:
      - {{ neutron_test_router }}
    - kwargs:
        cloud_name: admin_identity
        description: NeutronTestrouterDescription
        admin_state_up: False

neutronv2_router_delete:
  module.run:
    - name: neutronv2.router_delete
    - args:
      - {{ neutron_test_router }}
    - kwargs:
        cloud_name: admin_identity
