{%- if pillar.get('runtest',{}).get('openstack_version') not in ('stable/mitaka', 'stable/newton') -%}
{%- set glance_location = 'https://launchpad.net/cirros/trunk/0.3.0/+download/cirros-0.3.0-x86_64-disk.img' %}
{%- set glance_properties = '{"container_format": "bare", "disk_format": "raw", "protected": false, "tags": ["tags1", "tags2"], "visibility": "public"}' %}
glance_image_present:
  glancev2.image_present:
  - cloud_name: admin_identity
  - name: TestImage
  - location: {{ glance_location }}
  - image_properties: {{ glance_properties }}

glance_image_absent:
  glancev2.image_absent:
  - cloud_name: admin_identity
  - name: TestImage
  - require:
    - glance_image_present

{%- endif -%}
